extern "C" {
#include "shared.h"
}

#include "displaywidget.h"
#include "pilotshell.h"
#include "config.h"

#include <qlabel.h>

/* 
 *  Constructs a DisplayWidget which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
DisplayWidget::DisplayWidget( shared_img *s, Pilot *p,
	QWidget* parent,  const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DisplayWidget" );
    resize( 240, 281 ); 
    setCaption( tr( "QCopilot "VERSION" by Ian Goldberg" ) );

    // Make the Canvas and the CanvasView
    shell = new PilotShell( s, p, this, "Shell" );
    shell->setGeometry( QRect( 0, 0, 240, 281 ) ); 
    shell->setEnabled( TRUE );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
DisplayWidget::~DisplayWidget()
{
    // no need to delete child widgets, Qt does it all for us
}
